user  root;
worker_processes  auto;
error_log  /var/log/nginx/error.log warn;
pid        /var/run/nginx.pid;

events {
    use epoll;
    worker_connections 65535;
}

http {
    include       /etc/nginx/mime.types;
    default_type  application/octet-stream;


    log_format  main  '$remote_addr - $remote_user [$time_local] "$request" '
                      '$status $body_bytes_sent "$http_referer" '
                      '"$http_user_agent" "$http_x_forwarded_for"';

    access_log  /var/log/nginx/access.log  main;

    server_tokens off;
    sendfile            on;
    send_timeout      1200;
    tcp_nopush          on;
    tcp_nodelay         on;
    keepalive_timeout   600;
    types_hash_max_size 2048;

    client_max_body_size 2048m;
    client_body_buffer_size 2048m;
    underscores_in_headers on;

    proxy_send_timeout 600;
    proxy_read_timeout 600;
    proxy_connect_timeout 600;
    proxy_buffer_size 128k;
    proxy_buffers 8 256k;

    include /etc/nginx/conf.d/*.conf;
}
stream {
    include /etc/nginx/conf.d/stream/*.conf;
}